libqxp::PictureBox Struct Reference

`#include <QXPTypes.h>`

Inheritance diagram for libqxp::PictureBox:

## Public Member Functions

| PictureBox ()
Public Member Functions inherited from libqxp::Box
| Box ()

## Public Attributes

double | pictureRotation
double | pictureSkew
double | offsetLeft
double | offsetTop
double | scaleHor
double | scaleVert
Public Attributes inherited from libqxp::Box
boost::optional< Fill > | fill
Frame | frame
BoxType | boxType
CornerType | cornerType
double | cornerRadius
double | rotation
std::vector< Point > | customPoints
std::vector< CurveComponent > | curveComponents
Public Attributes inherited from libqxp::Object
Rect | boundingBox
bool | runaround
unsigned | zIndex

## Additional Inherited Members

Protected Member Functions inherited from libqxp::Object
| Object ()

## Constructor & Destructor Documentation

## PictureBox()

libqxp::PictureBox::PictureBox | ( |  | ) |

inline

## Member Data Documentation

## offsetLeft

double libqxp::PictureBox::offsetLeft

Referenced by PictureBox().

## offsetTop

double libqxp::PictureBox::offsetTop

Referenced by PictureBox().

## pictureRotation

double libqxp::PictureBox::pictureRotation

Referenced by PictureBox().

## pictureSkew

double libqxp::PictureBox::pictureSkew

Referenced by PictureBox().

## scaleHor

double libqxp::PictureBox::scaleHor

Referenced by PictureBox().

## scaleVert

double libqxp::PictureBox::scaleVert

Referenced by PictureBox().

The documentation for this struct was generated from the following file:

- QXPTypes.h